summaryrefslogtreecommitdiffstats
path: root/tests/run-readelf-compressed.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run-readelf-compressed.sh')
-rwxr-xr-xtests/run-readelf-compressed.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/run-readelf-compressed.sh b/tests/run-readelf-compressed.sh
index a2a04a2a..861553fe 100755
--- a/tests/run-readelf-compressed.sh
+++ b/tests/run-readelf-compressed.sh
@@ -17,6 +17,11 @@
. $srcdir/test-subr.sh
+if ! grep -q -F '#define USE_BZLIB' ${abs_top_builddir}/config.h; then
+ echo "elfutils built without bzip2 support"
+ exit 77
+fi
+
# See run-strip-reloc.sh
testfiles hello_i386.ko